# ChatConfirmation
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.chatinput

## Class ChatConfirmation

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.chatinput.ChatConfirmation

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class ChatConfirmation
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`ChatConfirmation(org.bukkit.entity.Player player, ChatConfirmCallback callback, org.bukkit.plugin.java.JavaPlugin plugin, java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onChat(org.bukkit.event.player.AsyncPlayerChatEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChatConfirmation

    public ChatConfirmation(org.bukkit.entity.Player player,
                            ChatConfirmCallback callback,
                            org.bukkit.plugin.java.JavaPlugin plugin,
                            java.lang.String message)

### Method Detail

#### onChat

    public void onChat(org.bukkit.event.player.AsyncPlayerChatEvent event)